Package com.google.android.exoplayer2.ui

## Class DefaultTrackNameProvider

- java.lang.Object
- - com.google.android.exoplayer2.ui.DefaultTrackNameProvider

- All Implemented Interfaces:
    `TrackNameProvider`

      public class DefaultTrackNameProvider
      extends Object
      implements TrackNameProvider

  A default `TrackNameProvider`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultTrackNameProvider​(Resources resources)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getTrackName​(Format format)` | Returns a user readable track name for the given `Format`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTrackNameProvider

          public DefaultTrackNameProvider​(Resources resources)

      Parameters:
        `resources` - Resources from which to obtain strings.

  - ### Method Detail

    - #### getTrackName

          public String getTrackName​(Format format)

      Description copied from interface: `TrackNameProvider`
      Returns a user readable track name for the given `Format`.
      Specified by:
        `getTrackName` in interface `TrackNameProvider`